// pages/safeBook/safeBook.js
var safeBookJson = require('../../data/json')
var app = getApp();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        safeBookData: {}, // json数据
        showTime: false,
        popupShow: true, // 签名弹窗
        imageList: [],
        buttonName: '开始签署'
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            safeBookData: safeBookJson.safeBookJson
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.getSignName().then(res => {
            app.globalData.updateSignImageId = res.id // 更新图片id
            let imgUrl = res.signImage // 图片地址
            wx.setStorageSync('signImage', imgUrl)
            console.log('签名图片', imgUrl);
            if(imgUrl) {
                this.data.imageList[0] = imgUrl;
                this.setData({
                    imageList: this.data.imageList,
                    buttonName: '重新签署'
                });
            } else {
                this.setData({
                    buttonName: '开始签署'
                });
            }
        })
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        this.setData({
            popupShow: true
        })
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },
    // 预览图片
  previewBigImage(e) {
    let imgs = this.data.imageList;
    let {index} = e.currentTarget.dataset;
    wx.previewImage({
      //当前显示图片
      current: imgs[index],
      //所有图片
      urls: imgs
    })
  },
    // 点击开始签署
    startSign() {
        wx.navigateTo({
        url: '../signName/signName',
      })
    },
    // 点击确认
    confirm() {
        if(this.data.imageList.length) {
            // wx.switchTab({
            //     url: '../indexapp/indexapp'
            // })
            wx.navigateBack()
        } else {
            wx.showToast({
                icon: 'error',
                title: '请签名',
            })
        }
    },
    // 点击遮罩层
    closePopup() {
        this.setData({
            popupShow: false
        })
    },
    // 点击安全生产责任书图片
    clickImage() {
        this.setData({
            popupShow: true
        })
    },
    // 获取签名图图片
    getSignName() {
        return new Promise((resolve, reject) => {
            wx.request({
                url: app.globalData.httpsUrl + "product/safe/today-detail",
                data: {
                    openId: app.globalData.openid
                },
                success: function (res) {
                  if(res.data.code === 200) {
                    resolve(res.data.data)
                    console.log('123121241', res);
                    console.log('iiiiiiii', res.data);
                    console.log('rrrrrrrr', res.data.data);
                  }
                },
                fail: function (err) {
                  wx.showToast({
                    title: '获取签名图片失败',
                    icon: 'none'
                  })
                }
              })
        })
       
    }
    
})